Geliştiriciler

Coinbuy REST API ile kripto ödemeleri uygulamanıza dakikalar içinde entegre edin.

Kimlik Doğrulama

Her istekte Authorization: Bearer <Secret Key> başlığını gönderin. Secret Key'inizi asla istemci tarafında (frontend) paylaşmayın.

Ödeme oluşturma

curl -X POST https://api.coinbuy.org/api/payments \
  -H "Authorization: Bearer sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "amount_try": 1000.00,
    "customer_email": "musteri@ornek.com",
    "order_id": "SIP-1042",
    "description": "Premium Abonelik"
  }'

Yanıt

{
  "payment_id": "pay_8f3ka92mx",
  "pay_url": "/pay/pay_8f3ka92mx",
  "expires_at": "2026-06-12T14:30:00Z"
}

Webhook Olayları

  • payment.created
  • payment.pending
  • payment.detected
  • payment.confirmed
  • payment.expired
  • payment.failed
  • payout.created
  • payout.completed
  • payout.failed